Loading...
Searching...
No Matches
Dune::cpgrid::HierarchicIterator Class Reference

Only needs to provide interface for doing nothing. More...

`#include <Iterators.hpp>`

## Public Types

using | Reference = const Entity<0>&

## Public Member Functions

| HierarchicIterator (const CpGridData &grid)
| HierarchicIterator (Entity< 0 > target, int maxLevel)
| HierarchicIterator (int maxLevel)
bool | operator== (const HierarchicIterator &other) const
| Equality.
bool | operator!= (const HierarchicIterator &other) const
| Inequality.
HierarchicIterator & | operator++ ()
HierarchicIterator | operator++ (int)
const Entity< 0 > * | operator-> () const
| Const member by pointer operator.
const Entity< 0 > & | operator* () const
| Const dereferencing operator.

## Detailed Description

Only needs to provide interface for doing nothing.

## Constructor & Destructor Documentation

## HierarchicIterator()

Dune::cpgrid::HierarchicIterator::HierarchicIterator | ( | const CpGridData & | grid | ) |

inline explicit

Todo
  Doc me!

Parameters

## Member Function Documentation

## operator++() [1/2]

HierarchicIterator & Dune::cpgrid::HierarchicIterator::operator++ | ( |  | ) |

inline

Todo
  Doc me!

Parameters

## operator++() [2/2]

HierarchicIterator Dune::cpgrid::HierarchicIterator::operator++ | ( | int |  | ) |

inline

Todo
  Doc me!

Parameters

The documentation for this class was generated from the following files:

- opm/grid/cpgrid/Iterators.hpp
- opm/grid/cpgrid/Iterators.cpp